<resource-action-mappping>
	<portlet-resource>
		<portlet-name>1</portlet-name>
			<permissions>
				<supports>
					<action-key>ADD_TO_PAGE</action-key>
					<action-key>CONFIGURATION</action-key>
					<action-key>VIEW</action-key>
					<action-key>DELETE</action-key>
				</supports>
				<site-member-defaults>
					<action-key>VIEW</action-key>
					<action-key>CONFIGURATION</action-key>
					<action-key>PERMISSIONS</action-key>
					<action-key>DELETE</action-key>
				</site-member-defaults>
				<guest-defaults>
					<action-key>VIEW</action-key>
				</guest-defaults>
				<guest-unsupported>
					<action-key>CONFIGURATION</action-key>
					<action-key>DELETE</action-key>
				</guest-unsupported>
		</permissions>
	</portlet-resource>

	<model-resource>
		<!--  Entità fittizia di "gruppo". si indica convenzionalmente col nome
			  del package e funge da contenitore dell'oggetto task, a cui
			  chiedere il permesso di alcune azioni, tra cui quella di aggiungere
			  un task (un task non può aggiungere sè stesso) -->

		<model-name>it.unisef.managesales</model-name>
		<portlet-ref>
			<portlet-name>1</portlet-name>
		</portlet-ref>
		<permissions>
			<supports>
				<action-key>ADD_FIRM</action-key>
				<action-key>ADD_WORKER</action-key>
			</supports>
			<site-member-defaults />
			<guest-defaults />
			<guest-unsupported>
				<action-key>ADD_FIRM</action-key>
				<action-key>ADD_WORKER</action-key>
			</guest-unsupported>
		</permissions>
	</model-resource>

	<model-resource>
		<model-name>it.unisef.managesales.model.Worker</model-name>
		<portlet-ref>
			<portlet-name>1</portlet-name>
		</portlet-ref>
		<permissions>
			<supports>
				<action-key>DELETE</action-key>
				<action-key>PERMISSIONS</action-key>
				<action-key>UPDATE</action-key>
				<action-key>VIEW</action-key>
			</supports>
			<site-member-defaults>
				<action-key>VIEW</action-key>
				<action-key>PERMISSIONS</action-key>
				<action-key>CONFIGURATION</action-key>
				<action-key>DELETE</action-key>
			</site-member-defaults>
			<guest-defaults>
				<action-key>VIEW</action-key>
			</guest-defaults>
			<guest-unsupported>
				<action-key>DELETE</action-key>
				<action-key>PERMISSIONS</action-key>
				<action-key>UPDATE</action-key>
			</guest-unsupported>
		</permissions>
	</model-resource>

	<model-resource>
		<model-name>it.unisef.managesales.model.Firm</model-name>
		<portlet-ref>
			<portlet-name>1</portlet-name>
		</portlet-ref>
		<permissions>
			<supports>
				<action-key>ADD_WORKER</action-key>
				<action-key>DELETE</action-key>
				<action-key>PERMISSIONS</action-key>
				<action-key>UPDATE</action-key>
				<action-key>VIEW</action-key>
				<action-key>CONFIGURATION</action-key>
			</supports>
			<site-member-defaults>
				<action-key>ADD_WORKER</action-key>
				<action-key>VIEW</action-key>
				<action-key>PERMISSIONS</action-key>
				<action-key>CONFIGURATION</action-key>
				<action-key>DELETE</action-key>
			</site-member-defaults>
			<guest-defaults>
				<action-key>VIEW</action-key>
			</guest-defaults>
			<guest-unsupported>
				<action-key>DELETE</action-key>
				<action-key>PERMISSIONS</action-key>
				<action-key>UPDATE</action-key>
				<action-key>CONFIGURATION</action-key>
				<action-key>ADD_WORKER</action-key>
			</guest-unsupported>
		</permissions>
	</model-resource>


</resource-action-mappping>